> For the complete documentation index, see [llms.txt](https://docs.ionos.com/postgres-sdk-golang/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.ionos.com/postgres-sdk-golang/api/logsapi.md).

# LogsApi

All URIs are relative to *<https://api.ionos.com/databases/postgresql>*

| Method                                | HTTP request                       | Description              |
| ------------------------------------- | ---------------------------------- | ------------------------ |
| [**ClusterLogsGet**](#ClusterLogsGet) | **Get** /clusters/{clusterId}/logs | Get logs of your cluster |

## ClusterLogsGet

```go
var result ClusterLogs = ClusterLogsGet(ctx, clusterId)
                      .Start(start)
                      .End(end)
                      .Direction(direction)
                      .Limit(limit)
                      .Execute()
```

Get logs of your cluster

### Example

```go
package main

import (
    "context"
    "fmt"
    "os"

    ionoscloud "github.com/ionos-cloud/sdk-go-dbaas-postgres"
)

func main() {
    clusterId := "498ae72f-411f-11eb-9d07-046c59cc737e" // string | The unique ID of the cluster.
    start := time.Now() // time.Time | The start time for the query in RFC3339 format. Must not be more than 30 days ago but before the end parameter. The default is 30 days ago. (optional)
    end := time.Now() // time.Time | The end time for the query in RFC3339 format. Must not be greater than now. The default is the current timestamp. (optional)
    direction := "direction_example" // string | The direction in which to scan through the logs. The logs are returned in order of the direction. (optional) (default to "BACKWARD")
    limit := int32(56) // int32 | The maximal number of log lines to return.  If the limit is reached then log lines will be cut at the end (respecting the scan direction). (optional) (default to 100)

    configuration := ionoscloud.NewConfiguration("USERNAME", "PASSWORD", "TOKEN", "HOST_URL")
    apiClient := ionoscloud.NewAPIClient(configuration)
    resource, resp, err := apiClient.LogsApi.ClusterLogsGet(context.Background(), clusterId).Start(start).End(end).Direction(direction).Limit(limit).Execute()
    if err != nil {
        fmt.Fprintf(os.Stderr, "Error when calling `LogsApi.ClusterLogsGet``: %v\n", err)
        fmt.Fprintf(os.Stderr, "Full HTTP response: %v\n", resp)
    }
    // response from `ClusterLogsGet`: ClusterLogs
    fmt.Fprintf(os.Stdout, "Response from `LogsApi.ClusterLogsGet`: %v\n", resource)
}
```

### Path Parameters

| Name          | Type                | Description                                                                 | Notes |
| ------------- | ------------------- | --------------------------------------------------------------------------- | ----- |
| **ctx**       | **context.Context** | context for authentication, logging, cancellation, deadlines, tracing, etc. |       |
| **clusterId** | **string**          | The unique ID of the cluster.                                               |       |

### Other Parameters

Other parameters are passed through a pointer to an apiClusterLogsGetRequest struct via the builder pattern

| Name          | Type          | Description                                                                                                                                 | Notes                    |
| ------------- | ------------- | ------------------------------------------------------------------------------------------------------------------------------------------- | ------------------------ |
| **start**     | **time.Time** | The start time for the query in RFC3339 format. Must not be more than 30 days ago but before the end parameter. The default is 30 days ago. |                          |
| **end**       | **time.Time** | The end time for the query in RFC3339 format. Must not be greater than now. The default is the current timestamp.                           |                          |
| **direction** | **string**    | The direction in which to scan through the logs. The logs are returned in order of the direction.                                           | \[default to "BACKWARD"] |
| **limit**     | **int32**     | The maximal number of log lines to return. If the limit is reached then log lines will be cut at the end (respecting the scan direction).   | \[default to 100]        |

### Return type

[**ClusterLogs**](/postgres-sdk-golang/models/clusterlogs.md)

### HTTP request headers

* **Content-Type**: Not defined
* **Accept**: application/json


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.ionos.com/postgres-sdk-golang/api/logsapi.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
